/**
 * @Project account-center-api
 * @Package com.youwe.api.account.status
 * @Class BalanceStatus.java
 * @Date Oct 8, 2019 7:49:28 PM
 * @Copyright (c) 2019 YOUWE All Right Reserved.
 */
package com.unis.common.constant;

public enum CommonStatusConstant {

    NORMAL("1", "正常")
    , DELETED("0", "删除");
    /**
     * 状态值
     */
    private String value;
    /**
     * 显示名称
     */
    private String name;

    private CommonStatusConstant(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

}
